Loading...
Searching...
No Matches
Client context management
Client supporting subsystem

Client context. More...

## Data Structures

struct | svn_client_ctx_t
| A client context structure, which holds client specific callbacks, batons, serves as a cache for configuration options, and other various and sundry things. More...

## Typedefs

typedef struct svn_client_ctx_t | svn_client_ctx_t
| A client context structure, which holds client specific callbacks, batons, serves as a cache for configuration options, and other various and sundry things.

## Functions

svn_error_t * | svn_client_create_context2 (svn_client_ctx_t **ctx, apr_hash_t *cfg_hash, apr_pool_t *pool)
| Initialize a client context.
svn_error_t * | svn_client_create_context (svn_client_ctx_t **ctx, apr_pool_t *pool)
| Similar to svn_client_create_context2 but passes a NULL cfg_hash.

## Detailed Description

Client context.

## Typedef Documentation

## svn_client_ctx_t

typedef struct svn_client_ctx_t svn_client_ctx_t

A client context structure, which holds client specific callbacks, batons, serves as a cache for configuration options, and other various and sundry things.

In order to avoid backwards compatibility problems clients should use svn_client_create_context() to allocate and initialize this structure instead of doing so themselves.

## Function Documentation

## svn_client_create_context()

svn_error_t * svn_client_create_context | ( | svn_client_ctx_t ** | ctx,
|  | apr_pool_t * | pool )

Similar to svn_client_create_context2 but passes a NULL cfg_hash.

Deprecated
  Provided for backward compatibility with the 1.7 API.

## svn_client_create_context2()

svn_error_t * svn_client_create_context2 | ( | svn_client_ctx_t ** | ctx,
|  | apr_hash_t * | cfg_hash,
|  | apr_pool_t * | pool )

Initialize a client context.

Set *ctx to a client context object, allocated in pool, that represents a particular instance of an svn client. cfg_hash is used to initialise the config member of the returned context object and should remain valid for the lifetime of the object. cfg_hash may be `NULL`, in which case it is ignored.

In order to avoid backwards compatibility problems, clients must use this function to initialize and allocate the svn_client_ctx_t structure rather than doing so themselves, as the size of this structure may change in the future.

The current implementation never returns error, but callers should still check for error, for compatibility with future versions.

Since
  New in 1.8.

References SVN_DEPRECATED.